Subject: Re: [MMUSIC] BUNDLE: Session bandwidth (Re: commentson draft-ietf-mmusic-sdp-bundle-negotiation-01)

From: Magnus Westerlund <[email-masked]>
Date: Tue, 15 Jan 2013 11:48:26 +0100

On 2012-12-14 18:29, Charles Eckel (eckelcu) wrote:
>> -----Original Message-----
>> From: Magnus Westerlund [mailto:[email-masked]]
>> Sent: Wednesday, December 12, 2012 1:55 AM
>> To: Charles Eckel (eckelcu)
>> Cc: Harald Alvestrand; [email-masked]
>> Subject: Re: [MMUSIC] BUNDLE: Session bandwidth (Re: comments on draft-
>> ietf-mmusic-sdp-bundle-negotiation-01)
>>
>> Hi,
>>
>> Going through old emails. One important comment:
>>
>> On 2012-11-05 21:04, Charles Eckel (eckelcu) wrote:
>> >>
>> >> Last time I looked b=CT was scoped to a whole conference ("supplied
> for
>> >> the session"), while b=AS was scoped to a single RTP session. But I
> may
>> >> be misinterpreting RFC 4566 section 5.8.
>> >
>> > I recommend using b=TIAS, as defined in RFC 3890. This parameter may be
>> used at either the session or the media level, and it scope accordingly.
>> > What needs to be avoided is summing up the b=TIAS/AS values from the
>> bundled media lines and using that as that bandwidth for the bundle
> even if
>> it exceeds the b=TIAS/AS/CT value from the session level.
>> >
>>
>> I would note that TIAS has no definition in Offer/Answer context. It is
>> soley defined for Declarative usage. Yes, I know it is being used in O/A
>> contexts, but I still don't understand how a receiver can state the
>> actual packet rate to be used by the sender to enable correct
> calculation.
> 
> Agreed, TIAS is a declaration of the maximum bandwidth the declarer is
> willing to receive. It does not say anything about what the declarer is
> going to send. The same is true for AS and CT.
> If we want something that indicates the maximum bandwidth the declarer
> is planning to send, we would need to extend an existing attribute or
> define a new attribute.
> However, the restriction I mentioned above regarding bundled streams not
> violating limits declared by the corresponding b=TIAS/AS/CT attributes
> still applies.
> 

But the thing is that TIAS is defined as the bandwidth one is going to
send including packet rate in the declarative usage.

Cheers

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------